package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouGroupCreateLog;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.util.Map;

public interface IKuaiShouCreateService {
    Map<String, Object> createGroups(KuaiShouGroupCreateLog groupCreateTemplate);

    JSONArray getOptions(String loginId, Long accountId);

    JSONArray getChildren(String loginId, Long campaignId, Long accountId);

    Map<String, Object> createCreative(JSONObject requestJson);
}
